Ticket #38243

ウィンドウの移動、リサイズができなくなる

Open Date: 2018-05-02 19:00 Last Update: 2018-06-05 10:02

Reporter:
(Anonymous)
Owner:
Type:
Status:
Closed
Component:
Priority:
9 - Highest
Severity:
9 - Highest
Resolution:
Accepted
Vote
Score: 2
100.0% (2/2)
0.0% (0/2)

Details

Tera Term ウィンドウの移動やリサイズを行っていると固定されることがあり、一度固定されると二度と移動やリサイズができなくなる。 他のアプリケーションでは発生せず、他の端末の Tera Term でも再現する。

OS: Windows10 Pro (1803) Version: 4.98

Attachment File List

Ticket History (3/14 Histories)

2018-05-02 19:00 Updated by: None
  • New Ticket "ウィンドウの移動、リサイズができなくなる" created
2018-05-03 13:50 Updated by: doda
Comment
  • 4.98 より前のバージョンや、このsnapshot でも問題が起きますか?
  • 問題が起きている時に、「設定」-「端末」でサイズを変更できますか?
  • 問題が起きる時に、マウスを有効にした Vim や tmux 等を使っていませんか?
2018-05-04 16:40 Updated by: evassieger
Comment

最初の報告者ではありませんが、

  • 4.98 より前のバージョンや、このsnapshot でも問題が起きますか?
    • 古いバージョンは試せてません。snpashotでは問題は発生しませんでした。
  • 問題が起きている時に、「設定」-「端末」でサイズを変更できますか?
    • 変更できました。
  • 問題が起きる時に、マウスを有効にした Vim や tmux 等を使っていませんか?
    • 使ってません。

Windows 10 1709までは普通に使えていたことから、 April 2018 Update(1803)で何かが変わったのかと思われます。

2018-05-08 16:49 Updated by: None
Comment

doda への返信 ~こちらも最初の報告者ではありませんが、Windows 10 1803にupdateしてから全く同じ問題が発生しました。

  • 4.98 より前のバージョンや、このsnapshot でも問題が起きますか?
    • snapshotでは問題は解消されていました。以前のバージョンでも問題は発生しました。4.8xか4.7xだったと思います。
  • 問題が起きている時に、「設定」-「端末」でサイズを変更できますか?
    • その方法でリサイズはできました。ただし問題は継続しました。
  • 問題が起きる時に、マウスを有効にした Vim や tmux 等を使っていませんか?
    • 使っていませんでした。
(Edited, 2018-05-08 18:53 Updated by: doda)
2018-05-08 19:45 Updated by: doda
Comment

お二人の症状を聞いたところ、どうやら想定していたのとは別の問題のようですね。

もし可能でしたらこのsnapshotで問題が発生するか確認してもらえるでしょうか?

これは前のsnapshotで改善された理由と思われる部分を元に戻した物で、これで問題が再発するようならば問題点が特定できます。

2018-05-08 20:30 Updated by: evassieger
  • File 4.98.PNG (File ID: 5401) is attached
2018-05-08 20:31 Updated by: evassieger
  • File snpashot-ver.PNG (File ID: 5402) is attached
2018-05-08 20:38 Updated by: evassieger
Comment

r7102を試してみましたが、現象は再現しませんでした。

ちょっと気になったのは、4.98とsnapshotでスタイルが変わっていることです。 キャプチャを上げました。

2018-05-09 15:54 Updated by: doda
  • Owner Update from (None) to doda
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to Tera Term 4.99 (closed)
  • Component Update from (None) to Tera Term
  • Severity Update from 5 - Medium to 9 - Highest
  • Priority Update from 5 - Medium to 9 - Highest
2018-05-28 16:30 Updated by: doda
Comment

4.99-RC1で問題が発生するか確認して貰えませんでしょうか?

snapshot版と比べてよりリリース版に近い形になっているので、これで問題が発生しなければ 4.99 リリース版でも問題が発生しないはずです。

逆に問題が発生する場合は原因を調査しなければいけません。

2018-05-29 19:40 Updated by: evassieger
Comment

4.99をテストしていますが、問題は発生していません。

2018-06-01 13:01 Updated by: doda
Comment

Tera Term 4.99 をリリースしました。おそらく問題が解決していると思います。

2018-06-05 09:01 Updated by: None
2018-06-05 10:02 Updated by: doda
  • Status Update from Open to Closed
Comment

4.99では問題無いようなのでクローズします。

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login